#ifndef NEWSEQUENZ_H
#define NEWSEQUENZ_H

#include <QDialog>

namespace Ui {
class NewSequenz;
}

/*
 * Fragt den Nutzer, welche Bilder in eine neue Sequenz übernommen werden sollen
 */
class NewSequenz : public QDialog
{
    Q_OBJECT

public:
    explicit NewSequenz( int max, QWidget *parent = 0);
    ~NewSequenz();

    // Gibt das Offset zurück, ab dem die Bilder in den neuen Datensatz übertragen werden sollen
    int getOffset() const;
    // Gibt die Anzahl der Bilder zurück, die in den neuen Datensatz übertragen werden sollen
    int getLimit() const;

private slots:
    // Schließt das Dialogfenster
    void on_ok_clicked();
    // Schließt das Dialogfenster ohne angabe von Limit und Offset
    void on_abbrechen_clicked();

private:
    Ui::NewSequenz *ui; // Ein Zeiger auf alle in newsequenz.ui spezifizierten Objekte
    int offset; // Das vom Nutzer angegebene Offset
    int limit; // Die vom Nutzer angegebene Bildanzahl
};

#endif // NEWSEQUENZ_H
